#!/usr/bin/env python3
# -*- coding: utf-8 -*-
"""
Runs each model configuration.

@author: Aidan Combs
@version: 1.0
"""

import csv
import sys
import stemsim

file = open('Pt_PtMo_PtMo50_run_0.csv')
reader = csv.reader(file)

rownum = int(sys.argv[1])

#datanum = []
#fracin = []
#deg = []
#inp_side_len = []
#crossvaltype = []
#blocksize = []
#modeltype = []
#repeats = []
#lox_repeats = []
#blurring = []
#runnum = []

line = 0
for row in reader:
    if line == rownum:
        runnum = int(row[0])
        datanum = int(row[1])
        crop_pixels = int(row[2])
        fracin = float(row[3])
        deg = int(row[4])
        inp_side_len = int(row[5])
        crossvaltype = int(row[6])
        blocksize = int(row[7])
        modeltype = int(row[8])
        repeats = int(row[9])
        lox_repeats = int(row[10])
        name = str(row[11])
        blurring = row[12]
        save = (row[13] == 'True')
    line = line + 1

thisrun = stemsim.RunSpecs(datanum, fracin, deg, inp_side_len, crossvaltype,
                           modeltype, repeats, lox_repeats, blurring,
                           blocksize, crop_pixels, name, save, runnum)
result = stemsim.run(thisrun)